View Issue Details

IDProjectCategoryView StatusLast Update
0026050LazarusLCLpublic2014-04-23 22:27
ReporterJoachim PaepkeAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platformi386OSLinuxOS Version3.2.0-4-686-pae
Product VersionProduct Build 
Target VersionFixed in Version1.4 
Summary0026050: TCustomEditButton.EditKeyPress should be virtual
DescriptionFor deriving from TCustomEditButton it would be convinient to have this (and some others, such as KeyUp, MouseDown, MouseUp and MouseMove) declared as virtual, so they can be overridden
TagsNo tags attached.
Fixed in Revisionr44797
LazTarget-
Widgetset
Attached Files

Activities

Joachim Paepke

2014-04-20 23:18

reporter   ~0074484

Just saw I forgot: This is for Laz SVN 44768

Bart Broersma

2014-04-23 21:13

developer   ~0074547

Please close if OK.

Joachim Paepke

2014-04-23 22:27

reporter   ~0074549

Is Ok

Issue History

Date Modified Username Field Change
2014-04-20 23:12 Joachim Paepke New Issue
2014-04-20 23:18 Joachim Paepke Note Added: 0074484
2014-04-21 00:05 Bart Broersma Assigned To => Bart Broersma
2014-04-21 00:05 Bart Broersma Status new => assigned
2014-04-23 21:13 Bart Broersma Fixed in Revision => r44797
2014-04-23 21:13 Bart Broersma LazTarget => -
2014-04-23 21:13 Bart Broersma Note Added: 0074547
2014-04-23 21:13 Bart Broersma Status assigned => resolved
2014-04-23 21:13 Bart Broersma Fixed in Version => 1.4
2014-04-23 21:13 Bart Broersma Resolution open => fixed
2014-04-23 22:27 Joachim Paepke Note Added: 0074549
2014-04-23 22:27 Joachim Paepke Status resolved => closed